Package com.independentsoft.office.spreadsheet.styles

# Class ForegroundColor

java.lang.Object
com.independentsoft.office.spreadsheet.styles.ForegroundColor

public class ForegroundColor extends Object
The Class ForegroundColor.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ForegroundColor()`
  Instantiates a new foreground color.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ForegroundColor`
  `clone()`
  `String`
  `getColor()`
  Gets the color.
  `int`
  `getIndexedColor()`
  Gets the indexed color.
  `int`
  `getTheme()`
  Gets the theme.
  `double`
  `getTint()`
  Gets the tint.
  `boolean`
  `isAuto()`
  Checks if is auto.
  `void`
  `setAuto​(boolean auto)`
  Sets the auto.
  `void`
  `setColor​(String color)`
  Sets the color.
  `void`
  `setIndexedColor​(int indexedColor)`
  Sets the indexed color.
  `void`
  `setTheme​(int theme)`
  Sets the theme.
  `void`
  `setTint​(double tint)`
  Sets the tint.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ForegroundColor

    public ForegroundColor()
    Instantiates a new foreground color.

- ## Method Details

  - ### clone

    public ForegroundColor clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### isAuto

    public boolean isAuto()
    Checks if is auto.
    Returns:
      true, if is auto

  - ### setAuto

    public void setAuto​(boolean auto)
    Sets the auto.
    Parameters:
      `auto` - the new auto

  - ### getIndexedColor

    public int getIndexedColor()
    Gets the indexed color.
    Returns:
      the indexed color

  - ### setIndexedColor

    public void setIndexedColor​(int indexedColor)
    Sets the indexed color.
    Parameters:
      `indexedColor` - the new indexed color

  - ### getColor

    public String getColor()
    Gets the color.
    Returns:
      the color

  - ### setColor

    public void setColor​(String color)
    Sets the color.
    Parameters:
      `color` - the new color

  - ### getTheme

    public int getTheme()
    Gets the theme.
    Returns:
      the theme

  - ### setTheme

    public void setTheme​(int theme)
    Sets the theme.
    Parameters:
      `theme` - the new theme

  - ### getTint

    public double getTint()
    Gets the tint.
    Returns:
      the tint

  - ### setTint

    public void setTint​(double tint)
    Sets the tint.
    Parameters:
      `tint` - the new tint